summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:30:30 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:30:30 -0400
commit8e5990380a2328dc5b6d1cea9ad4b1341bd0beb3 (patch)
tree3f236a2a3b0dace9c3798df339cbc35f2ac2c699 /academic
parente1c66d268fb129d6ac53f8f81efafc8956754685 (diff)
downloadslackbuilds-8e5990380a2328dc5b6d1cea9ad4b1341bd0beb3.tar.gz
slackbuilds-8e5990380a2328dc5b6d1cea9ad4b1341bd0beb3.tar.xz
academic/grace: Fixed for bash4.
Diffstat (limited to 'academic')
-rw-r--r--academic/grace/grace.SlackBuild19
1 files changed, 4 insertions, 15 deletions
diff --git a/academic/grace/grace.SlackBuild b/academic/grace/grace.SlackBuild
index 520a94b23c..65c6d8c12d 100644
--- a/academic/grace/grace.SlackBuild
+++ b/academic/grace/grace.SlackBuild
@@ -70,12 +70,8 @@ make DESTDIR=$PKG install
# Set up the links for /usr/bin, /usr/include, and /usr/lib
make DESTDIR=$PKG install links
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | \
- cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | \
- cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Fix hardcoding of /usr/lib in the "links" target
if [ "$ARCH" = "x86_64" ]; then
@@ -99,15 +95,8 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
)
# We're going to leave the man pages where they are, since grace (might|does)
-# look for them in its docs dir, but we also want users to be able to find
-# them. Since grace might still use them directly, we're going to leave
-# them uncompressed. Don't fuss - disk space is cheap :-)
-mkdir -p $PKG/usr/man/man1
-( cd $PKG/usr/man/man1
- for i in convcal grace grconvert ; do
- ln -s ../../lib${LIBDIRSUFFIX}/xmgrace/doc/${i}.1 . ;
- done
-)
+# look for them in its docs dir. Since grace might still use them directly,
+# we're going to leave them uncompressed. Don't fuss - disk space is cheap :-)
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc